# 航拍图像拼接系统

## 日志
- 1 2025/1/26 
完成了基础的外参拼接+BA优化过程，目前不支持动态调整拼接大小位置比例尺等功能。当载体持续运动扫描时，无法支持连续拼接以及回溯。因此要求必须加入文件缓存机制，并使用瓦片对数据进行管理，这样可以极大扩展拼接范围，且输出内容更为标准化。

【初步设想】：建立二级文件缓存，其中第一级存储原始帧（图像+H矩阵等），第二级存储生成的标准瓦片。当系统工作时，根据当前视野范围和XYZ瓦片等级（X），开始从2级缓存搜索瓦片，如果存在瓦片则直接加载，如果不存在则从1级缓存读取原始帧生成瓦片，并将瓦片加入2级缓存。
【关键技术】：文件缓存技术、标准瓦片转换技术

- 2 20250205
  
上述开发计划存在问题，拼接算法应是后台服务，应当生成标准产品，而不随着显示更改逻辑，这里考虑生成谷歌瓦片，并通过流传输到显示端，由显控处理显示逻辑。


- 20250213

已初步完成地理快拼、BA、谷歌瓦片输出等核心功能开发，能够输出符合谷歌标准的256瓦片。整理以下遗留问题：
【1】全景图的分辨率和尺寸应当根据硬件水平自适应，目前是人工指定的
【2】长时间推扫导致成像区域离开预设的全景范围，如何自适应处理。
【3】一定要提供边扫描边输出瓦片能力